CHCHP(8)

NAME
chchp - modify channel-path state.

SYNOPSIS
chchp [-v|--vary value] [-c|--configure value]
    [-a|--attribute key=value] chpid
    [-h|--help] [--version]

DESCRIPTION
The chchp command modifies the state of one or more channel-paths. Channel-path identifiers are specified in hexadecimal notation either simply as the CHPID-number (e.g. e0) or in the form
    <cssid>.<id>
where <cssid> is the channel-subsystem identifier and <id> is the CHPID-number (e.g. 0.7e). An operation can be performed on more than one channel-path by specifying multiple identifiers as a blank or comma-separated list or a range or a combination of both (see EXAMPLES section). Note that modifying the state of channel-paths can affect the availability of I/O devices as well as trigger associated functions (e.g. channel-path verification or device scanning) which in turn can result in a temporary increase in processor, memory and I/O load.

OPTIONS
-v value
--vary value
    Change the logical channel-path state to value. The logical channel-path state determines whether Linux will be actively using a channel-path for I/O.
    A value of "0" specifies the logical offline state. A value of "1" specifies the logical online state.
    Note that setting the logical state to offline may cause a currently running I/O operation to be aborted.
-c value
--configure value
    Change the channel-path configuration state to value.
    A value of "0" specifies standby state. A value of "1" specifies configured state.
    Note that setting the configured state to standby may cause a currently running I/O operation to be aborted.
-a key=value
--attribute key=value
    Change the channel-path sysfs attribute key to value.
    key can be the name of any available channel-path sysfs attribute (e.g. "configure" or "status"), while value can take any valid value that may be written to the attribute (e.g. "0" or "offline").
    This is a more generic way of modifying the state of a channel-path via the sysfs interface. It is intended for cases where sysfs attributes or attribute values are available in the kernel but not in chchp.
-h
--help
    Print a short help text, then exit.
-V
--version
    Print version number, then exit.

EXAMPLES
chchp -c 0 19
    Put channel-path 0.19 into standby state.
chchp -a configure=0 19
    Write value "0" into sysfs attribute "configure" of channel-path 0.19. The result is the same as when using the command chchp -c 0 19
chchp -c 1 0.65-0.6f
    Put channel-paths 0.65 to 0.6f into configured state.
chchp -v 0 0.12,0.7f,0.17-0.20
    Put channel-paths 0.12, 0.7f and 0.17 to 0.20 into logical offline state.

SEE ALSO
lschp(8)